## com.mysql.jdbc
Class ReplicationDriver

    java.lang.Object
      com.mysql.jdbc.NonRegisteringDriver
          com.mysql.jdbc.NonRegisteringReplicationDriver
              com.mysql.jdbc.ReplicationDriver

All Implemented Interfaces:
  java.sql.Driver

    public class ReplicationDriver

extends NonRegisteringReplicationDriver
implements java.sql.Driver

The Java SQL framework allows for multiple database drivers. Each driver should supply a class that implements the Driver interface

The DriverManager will try to load as many drivers as it can find and then for any given connection request, it will ask each driver in turn to try to connect to the target URL.

It is strongly recommended that each Driver class should be small and standalone so that the Driver class can be loaded and queried without bringing in vast quantities of supporting code.

When a Driver class is loaded, it should create an instance of itself and register it with the DriverManager. This means that a user can load and register a driver by doing Class.forName("foo.bah.Driver")

See Also:
  `org.gjt.mm.mysql.Connection`, `Driver`

Field Summary

Fields inherited from class com.mysql.jdbc.NonRegisteringDriver
`DBNAME_PROPERTY_KEY, DEBUG, HOST_NAME_INDEX, HOST_PROPERTY_KEY, NUM_HOSTS_PROPERTY_KEY, PASSWORD_PROPERTY_KEY, PORT_NUMBER_INDEX, PORT_PROPERTY_KEY, PROPERTIES_TRANSFORM_KEY, TRACE, USE_CONFIG_PROPERTY_KEY, USER_PROPERTY_KEY`

Constructor Summary
`ReplicationDriver()` Construct a new driver and register it with DriverManager

Method Summary

Methods inherited from class com.mysql.jdbc.NonRegisteringReplicationDriver
`connect`

Methods inherited from class com.mysql.jdbc.NonRegisteringDriver
`acceptsURL, connectReplicationConnection, database, getMajorVersion, getMajorVersionInternal, getMinorVersion, getMinorVersionInternal, getPropertyInfo, host, jdbcCompliant, parseHostPortPair, parseURL, port, property`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.sql.Driver
`acceptsURL, connect, getMajorVersion, getMinorVersion, getPropertyInfo, jdbcCompliant`

Constructor Detail

### ReplicationDriver

    public ReplicationDriver()
                      throws java.sql.SQLException

  Construct a new driver and register it with DriverManager

  Throws:
    `java.sql.SQLException` - if a database error occurs.